package com.mints.goodmoney.manager

import android.app.Application
import com.mints.goodmoney.BuildConfig
import com.wannuosili.sdk.WNAdConfig
import com.wannuosili.sdk.WNAdSdk


/**
 * 描述：闪电盒子（优量宝）
 * 作者：孟崔广
 */
object WnManager {

    private const val APP_ID = "10000297"

    const val WN_AD_VEDIO_DRINK_POSTID = "100000532009" //喝水打卡
    const val WN_AD_VEDIO_MAIN_POSTID = "100000542009" //我的界面视频
    const val WN_AD_VEDIO_ERASE_POSTID = "100000552009" //刮刮乐
    const val WN_AD_VEDIO_TURNABLE_POSTID = "100000562009" //大转盘
    const val WN_AD_VEDIO_MOREDIALOG_POSTID = "100000572009" //签到、气泡、离线弹框

    /**
     * 初始化
     */
    fun initWn(application: Application) {
        WNAdSdk.initialize(WNAdConfig.Builder()
                .setAppId(APP_ID)
                .setDebug(BuildConfig.DEBUG)
                .setContext(application)
                .build())
    }

    fun setOaid(oaid: String) {
        WNAdSdk.setOaid(oaid)
    }
}