package com.mints.goodmoney.mvp.model;

import com.tz.sdk.coral.ad.CoralAD;

public class TzTaskBean {

    private String icon;
    private String title;
    private String description;
    private String app_url;
    private boolean isShCpd;
    private CoralAD coralAd;
    private CpdModelBean.DataBean.MaterialsBean.TrackerBean trackerBean;
    private int coin;
    private int state;
    private String currentPkgName;

    public TzTaskBean(String icon, String title,String description, boolean isShCpd,int coin, int state, String currentPkgName) {
        this.icon = icon;
        this.title = title;
        this.description = description;
        this.isShCpd = isShCpd;
        this.coralAd = coralAd;
        this.coin = coin;
        this.state = state;
        this.currentPkgName = currentPkgName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public CoralAD getCoralAd() {
        return coralAd;
    }

    public String getApp_url() {
        return app_url;
    }

    public void setApp_url(String app_url) {
        this.app_url = app_url;
    }

    public CpdModelBean.DataBean.MaterialsBean.TrackerBean getTrackerBean() {
        return trackerBean;
    }

    public void setTrackerBean(CpdModelBean.DataBean.MaterialsBean.TrackerBean trackerBean) {
        this.trackerBean = trackerBean;
    }

    public void setCoralAd(CoralAD coralAd) {
        this.coralAd = coralAd;
    }

    public int getCoin() {
        return coin;
    }

    public void setCoin(int coin) {
        this.coin = coin;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public boolean isShCpd() {
        return isShCpd;
    }

    public void setShCpd(boolean shCpd) {
        isShCpd = shCpd;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getCurrentPkgName() {
        return currentPkgName;
    }

    public void setCurrentPkgName(String currentPkgName) {
        this.currentPkgName = currentPkgName;
    }

    @Override
    public String toString() {
        return "TzTaskBean{" +
                "icon='" + icon + '\'' +
                ", title='" + title + '\'' +
                ", description='" + description + '\'' +
                ", app_url='" + app_url + '\'' +
                ", isShCpd=" + isShCpd +
                ", coralAd=" + coralAd +
                ", trackerBean=" + trackerBean +
                ", coin=" + coin +
                ", state=" + state +
                ", currentPkgName='" + currentPkgName + '\'' +
                '}';
    }
}
