package com.mints.goodmoney.ad.express;

import android.widget.FrameLayout;

import com.mints.goodmoney.manager.TTNativeExpressManager;
import com.mints.goodmoney.manager.TtCsjAdManager;

public class TTPreLoadExpressManager {

    private static TTPreLoadExpressManager _inst;

    //    private FrameLayout ttFrameLayout;
    private TTNativeExpressManager ttNativeExpressManager;

    public static TTPreLoadExpressManager getInstance() {
        if (_inst == null) {
            _inst = new TTPreLoadExpressManager();
        }
        return _inst;
    }

    private void init() {
        ttNativeExpressManager = new TTNativeExpressManager();
        ttNativeExpressManager.initTTAd(false);
    }

    public void onDestroy() {
        if (ttNativeExpressManager != null) {
            ttNativeExpressManager.onTTAdDestroy();
            ttNativeExpressManager = null;
        }
    }

//    public FrameLayout getTtFrameLayout() {
//        return ttFrameLayout;
//    }

    private TTADLoadSuccessListener mADLoadSuccessListener;

    public void setListener(TTADLoadSuccessListener adLoadSuccessListener) {
        mADLoadSuccessListener = adLoadSuccessListener;
    }

    /**
     * 预加载 信息流
     */
    public void loadTtFrameLayout(FrameLayout adFrameLayout) {
        init();

//        Context context = MintsApplication.getContext();
//        ttFrameLayout = null;
        try {
//            FrameLayout ttFrameLayout = new FrameLayout(context);
            ttNativeExpressManager.getNativeExpressInit(TtCsjAdManager.TT_AD_NATIVEEXPRESS_AWARD, adFrameLayout, 310, 0);
            ttNativeExpressManager.setTTNativeExpressManagerListener(view -> {
//                if (view == null) {
//                    ttFrameLayout = null;
//                } else {
//
//                    try {
//                        ttFrameLayout = view;
//                    } catch (Exception e) {
//                        e.printStackTrace();
//                        ttFrameLayout = null;
//                    }
//                }
                try {
                    if (view != null) {
                        if (mADLoadSuccessListener != null) {
                            mADLoadSuccessListener.onTTAdLoadSuc(view);
                        }
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            });

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
