package com.mints.goodmoney.manager

import android.app.Application
import com.tencent.smtt.sdk.QbSdk
import com.xr.xrsdk.XRNewsManager

/**
 * 描述：瑞狮新闻
 * 作者：孟崔广
 */
object RsNewsManager {

    private const val APP_ID = "19e575538d2947ad9323e6c2a70d9a7f"
    private const val WX_APP_ID = "wxc8ac2985f6a805e2"

    /**
     * 初始化
     */
    fun init(application: Application) {
        XRNewsManager.getInstance().init(application, APP_ID, UserManager.getInstance().userID,WX_APP_ID)
    }

    fun initX5Environment(application: Application){
        QbSdk.initX5Environment(application, null)
        XRNewsManager.getInstance().init(application, APP_ID, UserManager.getInstance().userID,WX_APP_ID)
    }
}
