package com.mints.goodmoney.manager

import android.app.Application
import com.yilan.sdk.ui.YLUIInit
import com.yilan.sdk.ui.configs.CommentConfig
import com.yilan.sdk.ui.configs.FeedConfig
import com.yilan.sdk.ui.configs.YLUIConfig

/**
 * 描述：一览视频（好兔）
 * 作者：孟崔广
 */
object YlVideoManager {

    private const val ACCESSKEY = "ylxgszgwjrr8"
    private const val ACCESSTOKEN = "lmnzhm9yjdlc86xiy74cjgixnqpxe4o2"

    fun init(application: Application) {
        YLUIInit.getInstance()
                .setCrashOpen(false)
                .setApplication(application)
                .setAccessKey(ACCESSKEY)
                .setAccessToken(ACCESSTOKEN)
                .build()

        //页面个性化配置
        YLUIConfig.getInstance() //抖音样式小视频配置
                .littleLikeShow(true) //是否显示点赞
                .littleShareShow(false) //是否显示分享
                .littleShowGuide(true) //是否显示新手引导滑动浮层（第一次安装进入显示）
                .littleComment(CommentConfig.CommentType.DISMISS_COMMENT) //评论,参数详见文档；
                //feed流短视频样式配置
                .videoComment(CommentConfig.CommentType.DISMISS_COMMENT) //评论,参数详见文档；
                .videoLikeShow(false) //是否显示点赞
                .videoShareShow(false) //是否显示分享
                .followAvailable(false) //关注功能是否可用
                .feedAvatarClickable(true) //头像是否支持点击跳转到作者页面
                .feedPlayAuto(true) //feed自动播放
                .feedSwipeRefreshEnable(true) //feed是否可以下拉刷新
        FeedConfig.getInstance().playerStyle = FeedConfig.STYLE_FEED_PLAY //FeedConfig.STYLE_FEED_PLAY当前页面播放
    }
}