package com.mints.goodmoney.mvp.model;

import java.io.Serializable;

public class AccountMsgBean implements Serializable {

    /**
     * toDoKey : CFC2C1A1AC592E07891FF5EC993AA1695DA97B9C4BEABDFF4F7DBDB2B5E505F35F433703067DF5142735505C42F58997
     * mobileUser : {"head":null,"contribution":0,"sons":0,"account":"18311400069","coin":0}
     * wxUser : {"head":"https://thirdwx.qlogo.cn/mmopen/vi_32/zo9QSE4Hgv2M2zGLTyTHyyaM6SKxKkIeJJhU0nxNZxXGAQV0SnBKwqfXkspujZjI23tvgWBJMqlziaq5Cw7r0vg/132","contribution":0,"sons":0,"account":"神秘嘉宾 🦅","coin":2050}
     */

    private String toDoKey;
    private MobileUserBean mobileUser;
    private WxUserBean wxUser;

    public String getToDoKey() {
        return toDoKey;
    }

    public void setToDoKey(String toDoKey) {
        this.toDoKey = toDoKey;
    }

    public MobileUserBean getMobileUser() {
        return mobileUser;
    }

    public void setMobileUser(MobileUserBean mobileUser) {
        this.mobileUser = mobileUser;
    }

    public WxUserBean getWxUser() {
        return wxUser;
    }

    public void setWxUser(WxUserBean wxUser) {
        this.wxUser = wxUser;
    }

    public class MobileUserBean implements Serializable {
        /**
         * head : null
         * contribution : 0
         * sons : 0
         * account : 18311400069
         * coin : 0
         */

        private String head;
        private float contribution;
        private int sons;
        private String account;
        private int coin;

        public String getHead() {
            return head;
        }

        public void setHead(String head) {
            this.head = head;
        }

        public float getContribution() {
            return contribution;
        }

        public void setContribution(float contribution) {
            this.contribution = contribution;
        }

        public int getSons() {
            return sons;
        }

        public void setSons(int sons) {
            this.sons = sons;
        }

        public String getAccount() {
            return account;
        }

        public void setAccount(String account) {
            this.account = account;
        }

        public int getCoin() {
            return coin;
        }

        public void setCoin(int coin) {
            this.coin = coin;
        }
    }

    public class WxUserBean implements Serializable {
        /**
         * head : https://thirdwx.qlogo.cn/mmopen/vi_32/zo9QSE4Hgv2M2zGLTyTHyyaM6SKxKkIeJJhU0nxNZxXGAQV0SnBKwqfXkspujZjI23tvgWBJMqlziaq5Cw7r0vg/132
         * contribution : 0
         * sons : 0
         * account : 神秘嘉宾 🦅
         * coin : 2050
         */

        private String head;
        private float contribution;
        private int sons;
        private String account;
        private int coin;

        public String getHead() {
            return head;
        }

        public void setHead(String head) {
            this.head = head;
        }

        public float getContribution() {
            return contribution;
        }

        public void setContribution(float contribution) {
            this.contribution = contribution;
        }

        public int getSons() {
            return sons;
        }

        public void setSons(int sons) {
            this.sons = sons;
        }

        public String getAccount() {
            return account;
        }

        public void setAccount(String account) {
            this.account = account;
        }

        public int getCoin() {
            return coin;
        }

        public void setCoin(int coin) {
            this.coin = coin;
        }
    }
}
